Cancel a scheduled email message
Cancels a scheduled email and returns it with status cancelled. The legacy /v2/emails/{id}/schedule DELETE route is an alias.
DELETE
/
email_messages
/
{email_id}
/
schedule
Cancel a scheduled email message
curl --request DELETE \
--url https://api.telnyx.com/v2/email_messages/{email_id}/schedule \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.telnyx.com/v2/email_messages/{email_id}/schedule"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.telnyx.com/v2/email_messages/{email_id}/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"record_type": "email_message",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from": {
"email": "<string>",
"name": "<string>"
},
"to": [
{
"email": "<string>",
"name": "<string>"
}
],
"cc": [
{
"email": "<string>",
"name": "<string>"
}
],
"bcc": [
{
"email": "<string>",
"name": "<string>"
}
],
"reply_to": "<string>",
"subject": "<string>",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template_variables": {},
"attachments": [
{
"filename": "<string>",
"content_type": "<string>"
}
],
"events": [
{
"occurred_at": "2023-11-07T05:31:56Z",
"payload": {}
}
],
"inserted_at": "2023-11-07T05:31:56Z",
"send_at": "2023-11-07T05:31:56Z",
"inline_css": true,
"sandbox": true,
"suppressed": [
{
"to": "jsmith@example.com",
"reason": "<string>",
"scope": "<string>",
"override_allowed": true
}
]
},
"suppressed": [
{
"to": "jsmith@example.com",
"reason": "<string>",
"scope": "<string>",
"override_allowed": true
}
]
}{
"errors": [
{
"code": "10015",
"title": "Bad Request",
"detail": "email is required"
}
]
}{
"errors": [
{
"code": "10006",
"title": "Not authorized",
"detail": "Invalid API key",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10006"
}
}
]
}{
"errors": [
{
"code": "10001",
"title": "Not Found",
"detail": "The requested resource was not found"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Email message UUID.
Was this page helpful?
⌘I
Cancel a scheduled email message
